VelocityReport Plugin - Defect #1332

SampleSolution shows NullPointerException Problem related to previewToComponent,
viewerSaveCallback argument

06/06/2018 10:49 PM - Joe Collins

Status: Closed Start date: 06/06/2018
Priority: Normal Due date:

Assignee: Joe Collins % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Velocity Reports has been installed as per the servoyforge.net instructions.

The sample VelocityReport solution has been installed.

Under Problems, the only error is "NullPointerException: null", both in 7.4.8 and 8.2.3.
Component component_test.js

Path /VelocityReport/forms

Location Unknown

Type JavaScript Problem

Report folder is setup as well as the URL under Plugins on Developer.

Commenting out this line in the sample solution removed the error:

if (useCallback == 0) {

viewer = plugins.VelocityReport.previewToComponent(elements.bean_panel, template, getReportContext());
} else {

/Iviewer = plugins.VelocityReport.previewToComponent(elements.bean_panel, template, getReportContext(), viewerSaveCallback);

<---- This line. Callback argument creates issue.

}

Reports can be created from a modified template file.

History

#1 - 06/07/2018 02:30 PM - Patrick Talbot
- Status changed from New to Feedback

- Assignee set to Joe Collins

The sample solution hasn't really been updated to latest version of Velocity and Servoy... so it's possible there are bugs or incompatible things in

there. What's for sure is that the previewToComponent() method is only working in Smart Client.

#2 - 02/28/2019 10:06 PM - Patrick Talbot
- Status changed from Feedback to Closed
